Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.dsig
Interface DigestMethod

All Superinterfaces:
  AlgorithmMethod, XMLStructure

    public interface DigestMethod

extends XMLStructure, AlgorithmMethod

A representation of the XML `DigestMethod` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

       <element name="DigestMethod" type="ds:DigestMethodType"/>
         <complexType name="DigestMethodType" mixed="true">
           <sequence>
             <any namespace="##any" minOccurs="0" maxOccurs="unbounded"/>
               <!-- (0,unbounded) elements from (1,1) namespace -->
           </sequence>
           <attribute name="Algorithm" type="anyURI" use="required"/>
         </complexType>

A `DigestMethod` instance may be created by invoking the `newDigestMethod` method of the `XMLSignatureFactory` class.

See Also:
  `XMLSignatureFactory.newDigestMethod(String, DigestMethodParameterSpec)`

Field Summary
`static java.lang.String` | `RIPEMD160` The RIPEMD-160 digest method algorithm URI.
`static java.lang.String` | `SHA1` The SHA1 digest method algorithm URI.
`static java.lang.String` | `SHA256` The SHA256 digest method algorithm URI.
`static java.lang.String` | `SHA512` The SHA512 digest method algorithm URI.

Method Summary
`java.security.spec.AlgorithmParameterSpec` | `getParameterSpec()` Returns the algorithm-specific input parameters associated with this `DigestMethod`.

Methods inherited from interface javax.xml.crypto.XMLStructure
`isFeatureSupported`

Methods inherited from interface javax.xml.crypto.AlgorithmMethod
`getAlgorithm`

Field Detail

### SHA1

    static final java.lang.String SHA1

  The SHA1 digest method algorithm URI.

  See Also:
    Constant Field Values

### SHA256

    static final java.lang.String SHA256

  The SHA256 digest method algorithm URI.

  See Also:
    Constant Field Values

### SHA512

    static final java.lang.String SHA512

  The SHA512 digest method algorithm URI.

  See Also:
    Constant Field Values

### RIPEMD160

    static final java.lang.String RIPEMD160

  The RIPEMD-160 digest method algorithm URI.

  See Also:
    Constant Field Values

Method Detail

### getParameterSpec

    java.security.spec.AlgorithmParameterSpec getParameterSpec()

  Returns the algorithm-specific input parameters associated with this `DigestMethod`.

  The returned parameters can be typecast to a `DigestMethodParameterSpec` object.

  Specified by:
    `getParameterSpec` in interface `AlgorithmMethod`
  Returns:
    the algorithm-specific parameters (may be `null` if not specified)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org